#ifndef _CInputParse_H
#define _CInputParse_H

static const int  DEFAULT_GAPO 		= 11;
static const int  DEFAULT_GAPE 		= 2;
static const int  MAX_PATH_LENGTH 	= 1024;
static const int  DEFAULT_SHUFFLE 	= 1000;
static const int  DEFAULT_PSSM 		= 1;
static const int  DEFAULT_CSV		= 1;
static const int  DEFAULT_THREADS	= 1;
static const int DEFAULT_PARA_TYPE	= 0;				

class CInputParse
{
public:
	CInputParse();
	~CInputParse();


	void 	printUsage(); 
	bool	parseParams(int argc, char* argv[]);
		
	char*	getQueryFile() { return seqQueryFile;}
	char*	getPSSMFilePath() { return PSSMFilePath;}	
	char*	getDBFile() { return DBFile;}
	char*	getClsFile(){return seqClsFile;}
	int		getShuffle() { return shuffles_ML;}
	int		getThreads() { return numThreads;}
	int 	getParaType(){return para_type;}
private:
	void	getSysTime(double * dtime);
	void 	iniStr(char* s, int len);
	
	char 	PSSMFilePath[MAX_PATH_LENGTH]; //just path, no specific file
	char 	DBFile[MAX_PATH_LENGTH]; //specific file
	char 	seqQueryFile[MAX_PATH_LENGTH]; //specific file
	char 	seqClsFile [MAX_PATH_LENGTH];
	int 	shuffles_ML;
	int 	numThreads;
	int 	para_type;

};
#endif

